Categories Lookup
Returns the system categories, so you can resolve the category_id to send with wrong_category feedback. See Transaction Categorization for the full category tree.
Authorization
| Header | Value |
|---|---|
Api-key | string (tkn_ten_XXX..) |
Content-Type | application/json |
Endpoint
GET https://enrichment-prd-uae.lunedata.io/api/v2/categories/?search=[SEARCH_TERM]
Query Parameters
| Key | Type | Required | Description |
|---|---|---|---|
search | string | Optional | A string representing the category’s name, name_ar, or a part of it, or the ID [search term]. |
Success Response
A successful request returns an array of the categories matching the search term, or all categories if no search term is provided.
200 OK
{
"success": true,
"message": "",
"data": [
{
"id": 1,
"name": "Financial Services",
"name_ar": "Financial Services",
"icon": "FULL/URL/FOR/ICON",
"icon_dark": "FULL/URL/FOR/DARK/ICON"
}
]
}